// pages/tabber/news/index.js
import Dialog from '../../../miniprogram_npm/@vant/weapp/dialog/dialog';
const app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        orderList: [],
        status: 0,
        logisticsStatus: "",
        page_load:false,
        pageindex: 1
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        //this.alert()
        // this.setData({pageindex: 1})
        // this.getorderList()
        this.setData({
            logisticsStatus: app.globalData.logisticsStatus,
            page_load:true
        })

    },
    onShow() {
        this.setData({pageindex: 1})
        this.getorderList()
    },

    onPullDownRefresh: function () {
        this.setData({pageindex: 1})
        this.getorderList()
        setTimeout(function () {
            uni.stopPullDownRefresh();
        }, 1000);
    },
    onHide(){
        console.log("隐藏")
        this.setData({
            page_load:false
        })
    },


    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        this.setData({pageindex:this.data.pageindex+=1})
        this.getorderList()
    },


    alert() {
        Dialog.alert({
            title: '退费说明',
            message: `
            本次服务实际发生费用26.00元（抵扣优
            惠后），订单完成后剩余10.00元会原路
            退回到您的支付账户。实际到账时间请
            以银行及第三方支付机构退款时间为准，
            通常不超过7个工作日。`,
            messageAlign: 'left',
            confirmButtonText: "我知道了",
        }).then(() => {
            // on close
        });
    },
    detail(e) {
        console.log(e.currentTarget.dataset)
        wx.navigateTo({
            url: '/pages/order/detail/detail?order_no='+ e.currentTarget.dataset.no,
        })
    },
    onClick(event) {
        // wx.showToast({
        //   title: `点击标签 ${event.detail.name}`,
        //   icon: 'none',
        // });
        this.setData({status:event.detail.name})
        this.getorderList(event.detail.name);
    },

    toDetail(e) {
        wx.navigateTo({
            url: '/pages/order/detail/detail?order_no=' + e.currentTarget.dataset.no,
        })
    },

    getorderList(se) {
        var that = this;
        var status = se ? se : this.data.status;
        app.api.useApi(app.globalData.baseAppUrl + "api/order/index", {
            status: status,
            page: that.data.pageindex
        }, "get").then(function (res) {
            if (res.code != 200) {
                console.log(res.message.msg)
                wx.showLoading({
                    title: '订单加载失败',
                })
                that.setData({pageindex: that.data.pageindex -= 1})
            } else {
                if (that.data.pageindex == 1) {
                    that.setData({orderList: []})
                }
                if (res.message.data.data.length > 0) {
                    that.setData({orderList: that.data.orderList.concat(res.message.data.data)})
                } else {
                    that.setData({pageindex: that.data.pageindex -= 1})
                }
            }

            wx.hideLoading();

        }).catch(function (err) {
            console.log(222);
        })
    },
    pay(e){
        wx.navigateTo({
          url: '/pages/my/cashier/cashier?order_no='+e.currentTarget.dataset.oid,
        })
    },
    closOrder(e) {
        console.log(e);
        var that = this;
        var order = e.currentTarget.dataset.oid
        wx.showModal({
            title: '取消订单',
            content: '确认取消订单吗？',
            success: function (res) {
              if (res.confirm) {//这里是点击了确定以后
                app.api.useApi(app.globalData.baseAppUrl + "api/CancelOrders", {
                    order_id: order,
                }, "post").then(function (res) {
                    if (res.code != 200) {
                        console.log(res.message.msg)
                        wx.showToast({
                          title: '取消成功',
                        })
                        console.log(getCurrentPages().length);
                    } else {
                        wx.showLoading({
                            title: res.message.msg,
                        })
                        that.setData({pageindex: 1})
                        that.getorderList();
                    }
                    wx.hideLoading();
                }).catch(function (err) {
                    console.log(err);
                })

              } else {//这里是点击了取消以后
                console.log('用户点击取消')
                return false;
              }
            }
          })
},

onTabItemTap(e){
    if(!this.data.page_load){
        this.getorderList()
    }
  
}


})